/* ============================================== */
/* CSS for control sap.ui.commons/RoadMap.control */
/* ============================================== */

/* Step Styles */
.sapUiRoadMapDisabled{
	color: @sapUiContentDisabledTextColor;
}

.sapUiRoadMapStepAdd1,
.sapUiRoadMapStepAdd2{
	background-color: @sapUiLightLine;
}

.sapUiRoadMapStepBox{
	background-color: @sapUiButtonBackground;
	color: @sapUiDeepText;
	box-shadow: inset 0 1px 0 lighten(@sapUiButtonBackground, 11%);
	border: 1px solid @sapUiButtonBorderColor;
}

.sapUiRoadMapStepBox:focus{
	outline: 1px dotted @sapUiHighlight;
}

.sapUiRoadMapSelected > .sapUiRoadMapStepBox {
	color: @sapUiTextSelection;
	background-color: @sapUiToggleButtonPressedBackground;
	border-color: @sapUiToggleButtonPressedBorderColor;
	box-shadow: inset 0 -1px 0 lighten(desaturate(@sapUiHighlight, 50%), 30%);

}

.sapUiRoadMapDisabled > .sapUiRoadMapStepBox {
	background-color: @sapUiButtonDisabledBackground;
	color: @sapUiContentDisabledTextColor;
	border: 1px solid  @sapUiButtonDisabledBorderColor;
	box-shadow: none;
}

.sapUiRoadMapTitle {
	height: 30px;/*double line-height*/
	font-size: 12px;
	font-family: @sapUiFontFamily;
}

.sapUiRoadMapStepIco{
	display: inline;
	position: absolute;
	bottom: 0px;
	left: 3px;
	height: 16px;
	width: 16px;
	background-image: url("img/roadmap/roundtrip.gif");
}

.sapUiRoadMapDisabled > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco{
	background-image: url("img/roadmap/roundtrip_dsbl.gif");
}

.sapUiRoadMapSelected > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco{
	background-image: url("img/roadmap/roundtrip_sel.gif");
}

.sapUiRoadMapExpanded > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco{
	right: 2px;
	left: auto;
	height: 12px;
	width: 12px;
	background-image: url("img/roadmap/roundtrip_start.gif");
}

.sapUiRoadMapExpanded.sapUiRoadMapDisabled > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco{
	background-image: url("img/roadmap/roundtrip_start_dsbl.gif");
}

.sapUiRoadMapExpanded.sapUiRoadMapSelected > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco{
	background-image: url("img/roadmap/roundtrip_start_sel.gif");
}

.sapUiRoadMapStepEnd.sapUiRoadMapExpanded > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco{
	left: 2px;
	background-image: url("img/roadmap/roundtrip_end.gif");
}

.sapUiRoadMapStepEnd.sapUiRoadMapExpanded.sapUiRoadMapDisabled > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco{
	background-image: url("img/roadmap/roundtrip_end_dsbl.gif");
}

.sapUiRoadMapStepEnd.sapUiRoadMapExpanded.sapUiRoadMapSelected > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco{
	background-image: url("img/roadmap/roundtrip_end_sel.gif");
}

.sapUiRoadMapStep:hover > .sapUiRoadMapTitle{
	color: @sapUiLinkHover;
}

.sapUiRoadMapStep.sapUiRoadMapDisabled:hover > .sapUiRoadMapTitle{
	color: @sapUiContentDisabledTextColor;
}

.sapUiRoadMapStep.sapUiRoadMapSelected:hover > .sapUiRoadMapTitle{
	color: @sapUiBaseText;
}

.sapUiRoadMapStep:hover > .sapUiRoadMapStepBox{
	background-color: @sapUiExtraLightBG;
}

.sapUiRoadMapStep.sapUiRoadMapSelected:hover > .sapUiRoadMapStepBox{
	background-color: @sapUiLinkHover;
}

.sapUiRoadMapStep:hover > .sapUiRoadMapStepBox{
	background-color: @sapUiButtonHoverBackground;
	background-image: none;
	box-shadow: inset 0 1px 0 lighten(desaturate(@sapUiHighlight, 50%), 30%);
	border: 1px solid @sapUiButtonHoverBorderColor;
	color: @sapUiTextSelection;
}

.sapUiRoadMapStep.sapUiRoadMapDisabled:hover > .sapUiRoadMapStepBox{
	background-color: @sapUiButtonDisabledBackground;
	color: @sapUiContentDisabledTextColor;
	border: 1px solid  @sapUiButtonDisabledBorderColor;
	box-shadow: none;
}

.sapUiRoadMapStep.sapUiRoadMapSelected:hover > .sapUiRoadMapStepBox{
	color: @sapUiTextSelection;
	background-color: @sapUiToggleButtonPressedHoverBackground;
	border-color: @sapUiToggleButtonPressedHoverBorderColor;
	box-shadow: none;
}

/* Delimiter Styles */

.sapUiRoadMapDelim{
	background-color: @sapUiLightBG;
	height: 22px;
	width: 7px;
}

.sapUiRoadMapStartScroll{
	background-color: @sapUiHighlight;
}

.sapUiRoadMapEndScroll{
	background-color: @sapUiHighlight;
}

.sapUiRoadMapStartScroll:after,
.sapUiRoadMapStartFixed:after,
.sapUiRoadMapEndScroll:after,
.sapUiRoadMapEndFixed:after{
	content: "";
}